<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: errormsg.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>errormsg.c</h1><a href="errormsg_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of PolyLib.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    PolyLib is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment">    the Free Software Foundation, either version 3 of the License, or</span>
<a name="l00007"></a>00007 <span class="comment">    (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    PolyLib is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00012"></a>00012 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00015"></a>00015 <span class="comment">    along with PolyLib.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span>
<a name="l00016"></a>00016 <span class="comment">*/</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="comment">/* errormsg.c</span>
<a name="l00019"></a>00019 <span class="comment">     COPYRIGHT</span>
<a name="l00020"></a>00020 <span class="comment">          Both this software and its documentation are</span>
<a name="l00021"></a>00021 <span class="comment"></span>
<a name="l00022"></a>00022 <span class="comment">              Copyright 1993 by IRISA /Universite de Rennes I - France,</span>
<a name="l00023"></a>00023 <span class="comment">              Copyright 1995,1996 by BYU, Provo, Utah</span>
<a name="l00024"></a>00024 <span class="comment">                         all rights reserved.</span>
<a name="l00025"></a>00025 <span class="comment"></span>
<a name="l00026"></a>00026 <span class="comment">          Permission is granted to copy, use, and distribute</span>
<a name="l00027"></a>00027 <span class="comment">          for any commercial or noncommercial purpose under the terms</span>
<a name="l00028"></a>00028 <span class="comment">          of the GNU General Public license, version 2, June 1991</span>
<a name="l00029"></a>00029 <span class="comment">          (see file : LICENSING).</span>
<a name="l00030"></a>00030 <span class="comment">*/</span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &lt;<a class="code" href="polylib_8h.html">polylib/polylib.h</a>&gt;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="errormsg_8c.html#aa587bf4e8c763fa5e95542df7eb070b7">Pol_status</a>;
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="comment">/*  This function allows either error messages to be sent to Mathematica,</span>
<a name="l00038"></a>00038 <span class="comment">    or messages to be printed to stderr.</span>
<a name="l00039"></a>00039 <span class="comment"></span>
<a name="l00040"></a>00040 <span class="comment">    If MATHLINK is defined, then a command Message[f::msgname] is sent to</span>
<a name="l00041"></a>00041 <span class="comment">    Mathematica. If not, one prints on stderr. The difference with errormsg</span>
<a name="l00042"></a>00042 <span class="comment">    is that the control should be returned immediately to Mathematica after</span>
<a name="l00043"></a>00043 <span class="comment">    the call to errormsg1. Therefore, no Compound statement is sent to</span>
<a name="l00044"></a>00044 <span class="comment">    Mathematica.</span>
<a name="l00045"></a>00045 <span class="comment">*/</span>
<a name="l00046"></a><a class="code" href="errormsg_8h.html#a1ac398d9106568a1991a001172e0e00b">00046</a> <span class="keywordtype">void</span> <a class="code" href="errormsg_8c.html#a1ac398d9106568a1991a001172e0e00b">errormsg1</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *f, <span class="keyword">const</span> <span class="keywordtype">char</span> *msgname, <span class="keyword">const</span> <span class="keywordtype">char</span> *msg)
<a name="l00047"></a>00047 {
<a name="l00048"></a>00048   <a class="code" href="errormsg_8c.html#aa587bf4e8c763fa5e95542df7eb070b7">Pol_status</a> = 1;
<a name="l00049"></a>00049 
<a name="l00050"></a>00050 <span class="preprocessor">#ifdef MATHLINK</span>
<a name="l00051"></a>00051 <span class="preprocessor"></span>  MLPutFunction(stdlink,<span class="stringliteral">&quot;Message&quot;</span>,1);
<a name="l00052"></a>00052   MLPutFunction(stdlink,<span class="stringliteral">&quot;MessageName&quot;</span>,2);
<a name="l00053"></a>00053   MLPutSymbol(stdlink,f);
<a name="l00054"></a>00054   MLPutString(stdlink,msgname);
<a name="l00055"></a>00055 <span class="preprocessor">#else</span>
<a name="l00056"></a>00056 <span class="preprocessor"></span><span class="preprocessor">#ifndef NO_MESSAGES</span>
<a name="l00057"></a>00057 <span class="preprocessor"></span>    fprintf(stderr, <span class="stringliteral">&quot;?%s: %s\n&quot;</span>, f, msg);
<a name="l00058"></a>00058 <span class="preprocessor">#endif</span>
<a name="l00059"></a>00059 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00060"></a>00060 <span class="preprocessor"></span>
<a name="l00061"></a>00061 }
</pre></div></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:25 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
